package com.sunwin.robot2ips.beans.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunwin.robot2ips.aspect.ExcelHeader;
import lombok.Data;

/**
 * ips与Robot点位关系导入实体
 *
 * @author machao
 * @since 2022/6/7 13:47
 **/
@Data
@TableName("ips_sw_point_link")
public class IPSPointDTO {

    @TableId(type = IdType.AUTO)
    private Long id;

    @ExcelHeader(value = "监测点", columnIndex = 3)
    private String monitoringPoint;

    @ExcelHeader(value = "备注", columnIndex = 23)
    private Long pointId;
}
