package com.sunwin.robot2ips.beans.vo;

import lombok.Data;

import java.util.List;

/**
 * 上传IPS请求对象
 *
 * @author machao
 * @since 2022/6/6 17:03
 **/
@Data
public class RecordData {
    /**
     * 机器名称
     */
    private String robotName;
    /**
     * 机器编码
     */
    private String robotCode;
    /**
     * 公司编码（宁德NDNP）
     */
    private String companyId = "NDNP";
    /**
     * 测点列表
     */
    private List<RecordTaskPoint> recordTaskPoints;

}
