package com.sunwin.robot2ips.config;

import com.sunwin.robot2ips.service.CheckDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * 项目启动会更新IPS与机器人点位绑定关系表
 *
 * @author machao
 * @since 2022/6/8 10:09
 **/
@Component
@Order(value = 2)
public class CommandLineRunnerImpl implements CommandLineRunner {
    @Autowired
    CheckDataService checkDataService;

    @Override
    public void run(String... args) throws Exception {
        checkDataService.bindIPSAndRobotPoint();
    }
}