package com.sunwin.robot2ips.beans.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @Description: 机器人信息
 * @Author: shiwn
 * @Date: 2021/5/18 15:58
 */
@Data
@Accessors(chain = true)
@TableName("robot")
public class RobotDTO {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private String robotName;
    private String robotNo;
    private Integer type;
    private String modelName;
    private String ip;
    private Integer port;
    private Integer channelHd;
    private Integer channelIr;
    private Integer status;
    private Integer selected;
    private Integer company;
    private String scene;
    private String domainName;
}
