package com.sunwin.robot2ips.task;

import com.sunwin.robot2ips.service.CheckDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 定时上传巡检数据至IPS系统
 *
 * @author machao
 * @since 2022/6/6 16:48
 **/
@Component
@EnableScheduling
public class UploadIPSTask {
    @Autowired
    CheckDataService checkDataService;

    @Scheduled(fixedRate = 10000)
    public void autoUploadCheckData() {

        checkDataService.uploadCheckData();
    }
}
